/*===========================================================================*/
/*   (Effect/walk.scm)                                                       */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Effect/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_localzf2fromzf2_bgl {
   obj_t BgL_fromz00;
} *BgL_localzf2fromzf2_bglt;

typedef struct BgL_globalzf2fromzf2_bgl {
   obj_t BgL_fromz00;
} *BgL_globalzf2fromzf2_bglt;


BGL_IMPORT double BGl_roundflz00zz__r4_numbers_6_5_flonumz00(double);
static obj_t BGl_methodzd2initzd2zzeffect_walkz00();
BGL_IMPORT obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_writezd2effectzd2zzeffect_walkz00(obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl__writezd2effectzd2zzeffect_walkz00(obj_t, obj_t);
BGL_IMPORT obj_t string_to_bstring(char *);
extern obj_t BGl_feffectz12z12zzeffect_feffectz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzeffect_walkz00();
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
BGL_IMPORT obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_importedzd2moduleszd2initz00zzeffect_walkz00();
extern obj_t BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00();
static obj_t BGl_zc3exitza32975ze3z83zzeffect_walkz00(obj_t);
static obj_t BGl__effectzd2walkz12zc0zzeffect_walkz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzeffect_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t close_output_port(obj_t);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_effectzd2walkz12zc0zzeffect_walkz00(obj_t, bool_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
static obj_t BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00(obj_t);
extern obj_t BGl_za2destza2z00zzengine_paramz00;
extern obj_t BGl_za2sawza2z00zzengine_paramz00;
BGL_IMPORT obj_t display_string(obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t open_output_file(obj_t);
extern obj_t BGl_localzf2fromzf2zzeffect_cgraphz00;
extern obj_t BGl_feffectz00zzast_varz00;
extern obj_t BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
extern obj_t BGl_globalzf2fromzf2zzeffect_cgraphz00;
extern obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00();
static obj_t BGl_requirezd2initializa7ationz75zzeffect_walkz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
extern bool_t BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_walkz00();
static obj_t __cnst[ 4 ] ;


extern obj_t BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00;
DEFINE_EXPORT_PROCEDURE( BGl_writezd2effectzd2envz00zzeffect_walkz00, BgL_bgl__writeza7d2effectza7d2za7za7effect_walkza7003568za7, BGl__writezd2effectzd2zzeffect_walkz00, 0L, 1 );
DEFINE_STRING( BGl_string3536z00zzeffect_walkz00, BgL_bgl_string3536za700za7za7effect_walkza7003569z00, "top done (reset-effect-tables!) pass-started ", 45 );
DEFINE_STRING( BGl_string3535z00zzeffect_walkz00, BgL_bgl_string3535za700za7za7effect_walkza7003570z00, " ))\n", 4 );
DEFINE_STRING( BGl_string3534z00zzeffect_walkz00, BgL_bgl_string3534za700za7za7effect_walkza7003571z00, "(directives\n (pragma\n", 21 );
DEFINE_STRING( BGl_string3533z00zzeffect_walkz00, BgL_bgl_string3533za700za7za7effect_walkza7003572z00, "))", 2 );
DEFINE_STRING( BGl_string3532z00zzeffect_walkz00, BgL_bgl_string3532za700za7za7effect_walkza7003573z00, " (write ", 8 );
DEFINE_STRING( BGl_string3531z00zzeffect_walkz00, BgL_bgl_string3531za700za7za7effect_walkza7003574z00, " (read ", 7 );
DEFINE_STRING( BGl_string3530z00zzeffect_walkz00, BgL_bgl_string3530za700za7za7effect_walkza7003575z00, ")", 1 );
DEFINE_STRING( BGl_string3529z00zzeffect_walkz00, BgL_bgl_string3529za700za7za7effect_walkza7003576z00, "   (", 4 );
DEFINE_STRING( BGl_string3528z00zzeffect_walkz00, BgL_bgl_string3528za700za7za7effect_walkza7003577z00, " (effect", 8 );
DEFINE_STRING( BGl_string3527z00zzeffect_walkz00, BgL_bgl_string3527za700za7za7effect_walkza7003578z00, "Can't open output file", 22 );
DEFINE_STRING( BGl_string3526z00zzeffect_walkz00, BgL_bgl_string3526za700za7za7effect_walkza7003579z00, "write-effect", 12 );
DEFINE_STRING( BGl_string3525z00zzeffect_walkz00, BgL_bgl_string3525za700za7za7effect_walkza7003580z00, ".sch", 4 );
DEFINE_STRING( BGl_string3524z00zzeffect_walkz00, BgL_bgl_string3524za700za7za7effect_walkza7003581z00, "failure during postlude hook", 28 );
DEFINE_STRING( BGl_string3523z00zzeffect_walkz00, BgL_bgl_string3523za700za7za7effect_walkza7003582z00, " occured, ending ...", 20 );
DEFINE_STRING( BGl_string3522z00zzeffect_walkz00, BgL_bgl_string3522za700za7za7effect_walkza7003583z00, " error", 6 );
DEFINE_STRING( BGl_string3521z00zzeffect_walkz00, BgL_bgl_string3521za700za7za7effect_walkza7003584z00, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string3520z00zzeffect_walkz00, BgL_bgl_string3520za700za7za7effect_walkza7003585z00, "   . ", 5 );
DEFINE_STRING( BGl_string3519z00zzeffect_walkz00, BgL_bgl_string3519za700za7za7effect_walkza7003586z00, "Effect", 6 );
DEFINE_EXPORT_PROCEDURE( BGl_effectzd2walkz12zd2envz12zzeffect_walkz00, BgL_bgl__effectza7d2walkza712za7c0za7za7effect_walkza7003587z00, BGl__effectzd2walkz12zc0zzeffect_walkz00, 0L, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzeffect_walkz00(long BgL_checksumz00_1273, char * BgL_fromz00_1274)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzeffect_walkz00))
{ 
BGl_requirezd2initializa7ationz75zzeffect_walkz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzeffect_walkz00(); 
BGl_cnstzd2initzd2zzeffect_walkz00(); 
BGl_importedzd2moduleszd2initz00zzeffect_walkz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzeffect_walkz00()
{ AN_OBJECT;
{ /* ./Effect/walk.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)0), "effect_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "effect_walk"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "effect_walk"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "effect_walk"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "effect_walk"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "effect_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "effect_walk"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "effect_walk"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzeffect_walkz00()
{ AN_OBJECT;
{ /* ./Effect/walk.scm 15 */
{ /* ./Effect/walk.scm 15 */
obj_t BgL_cportz00_1266;
BgL_cportz00_1266 = 
open_input_string(BGl_string3536z00zzeffect_walkz00); 
{ 
long BgL_iz00_1267;
BgL_iz00_1267 = ((long)3); 
BgL_loopz00_1268:
{ /* ./Effect/walk.scm 15 */
bool_t BgL_test3538z00_1269;
BgL_test3538z00_1269 = 
(BgL_iz00_1267==((long)-1)); 
if(BgL_test3538z00_1269)
{ /* ./Effect/walk.scm 15 */
return BUNSPEC;}  else 
{ /* ./Effect/walk.scm 15 */
{ /* ./Effect/walk.scm 15 */
obj_t BgL_arg3541z00_1270;
{ /* ./Effect/walk.scm 15 */
obj_t BgL_list3544z00_1271;
BgL_list3544z00_1271 = 
MAKE_PAIR(BgL_cportz00_1266, BNIL); 
BgL_arg3541z00_1270 = 
BGl_readz00zz__readerz00(BgL_list3544z00_1271); } 
{ /* ./Effect/walk.scm 15 */
int BgL_auxz00_1294;
BgL_auxz00_1294 = 
(int)(BgL_iz00_1267); 
CNST_TABLE_SET(BgL_auxz00_1294, BgL_arg3541z00_1270); } } 
{ /* ./Effect/walk.scm 15 */
int BgL_auxz00_1272;
{ /* ./Effect/walk.scm 15 */
long BgL_auxz00_1297;
BgL_auxz00_1297 = 
(BgL_iz00_1267-((long)1)); 
BgL_auxz00_1272 = 
(int)(BgL_auxz00_1297); } 
{ 
long BgL_iz00_1300;
BgL_iz00_1300 = 
(long)(BgL_auxz00_1272); 
BgL_iz00_1267 = BgL_iz00_1300; 
goto BgL_loopz00_1268;} } } } } } } 
}



/* effect-walk! */
BGL_EXPORTED_DEF obj_t BGl_effectzd2walkz12zc0zzeffect_walkz00(obj_t BgL_globalsz00_1, bool_t BgL_feffectz00_2)
{ AN_OBJECT;
{ /* ./Effect/walk.scm 33 */
{ /* ./Effect/walk.scm 34 */
obj_t BgL_list2805z00_674;
{ /* ./Effect/walk.scm 34 */
obj_t BgL_arg2808z00_676;
{ /* ./Effect/walk.scm 34 */
obj_t BgL_arg2812z00_678;
{ /* ./Effect/walk.scm 34 */
obj_t BgL_auxz00_1302;
BgL_auxz00_1302 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2812z00_678 = 
MAKE_PAIR(BgL_auxz00_1302, BNIL); } 
BgL_arg2808z00_676 = 
MAKE_PAIR(BGl_string3519z00zzeffect_walkz00, BgL_arg2812z00_678); } 
BgL_list2805z00_674 = 
MAKE_PAIR(BGl_string3520z00zzeffect_walkz00, BgL_arg2808z00_676); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list2805z00_674); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string3519z00zzeffect_walkz00; 
{ 
obj_t BgL_hooksz00_679;obj_t BgL_hnamesz00_680;
{ /* ./Effect/walk.scm 34 */
obj_t BgL_arg2816z00_682;
BgL_arg2816z00_682 = BNIL; 
BgL_hooksz00_679 = BgL_arg2816z00_682; 
BgL_hnamesz00_680 = BNIL; 
BgL_loopz00_681:
{ /* ./Effect/walk.scm 34 */
bool_t BgL_test2821z00_685;
BgL_test2821z00_685 = 
NULLP(BgL_hooksz00_679); 
if(BgL_test2821z00_685)
{ /* ./Effect/walk.scm 34 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* ./Effect/walk.scm 34 */
bool_t BgL_test2822z00_686;
{ /* ./Effect/walk.scm 34 */
obj_t BgL_fun2837z00_692;
BgL_fun2837z00_692 = 
CAR(BgL_hooksz00_679); 
{ /* ./Effect/walk.scm 34 */
obj_t BgL_auxz00_1314;
BgL_auxz00_1314 = 
PROCEDURE_ENTRY(BgL_fun2837z00_692)(BgL_fun2837z00_692, BEOA); 
BgL_test2822z00_686 = 
CBOOL(BgL_auxz00_1314); } } 
if(BgL_test2822z00_686)
{ /* ./Effect/walk.scm 34 */
{ /* ./Effect/walk.scm 34 */
obj_t BgL_arg2824z00_687;obj_t BgL_arg2825z00_688;
BgL_arg2824z00_687 = 
CDR(BgL_hooksz00_679); 
BgL_arg2825z00_688 = 
CDR(BgL_hnamesz00_680); 
{ 
obj_t BgL_hnamesz00_1322;obj_t BgL_hooksz00_1321;
BgL_hooksz00_1321 = BgL_arg2824z00_687; 
BgL_hnamesz00_1322 = BgL_arg2825z00_688; 
BgL_hnamesz00_680 = BgL_hnamesz00_1322; 
BgL_hooksz00_679 = BgL_hooksz00_1321; 
goto BgL_loopz00_681;} } }  else 
{ /* ./Effect/walk.scm 34 */
{ /* ./Effect/walk.scm 34 */
obj_t BgL_arg2832z00_691;
BgL_arg2832z00_691 = 
CAR(BgL_hnamesz00_680); 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3519z00zzeffect_walkz00, BGl_string3521z00zzeffect_walkz00, BgL_arg2832z00_691); } } } } } } 
{ 
obj_t BgL_l2787z00_693;
BgL_l2787z00_693 = BgL_globalsz00_1; 
BgL_forzd2each2788zd2_694:
{ /* ./Effect/walk.scm 37 */
bool_t BgL_test2841z00_695;
BgL_test2841z00_695 = 
PAIRP(BgL_l2787z00_693); 
if(BgL_test2841z00_695)
{ /* ./Effect/walk.scm 37 */
{ /* ./Effect/walk.scm 38 */
obj_t BgL_globalz00_696;
BgL_globalz00_696 = 
CAR(BgL_l2787z00_693); 
BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
(BgL_variablez00_bglt)(BgL_globalz00_696)); } 
{ /* ./Effect/walk.scm 37 */
obj_t BgL_arg2845z00_697;
BgL_arg2845z00_697 = 
CDR(BgL_l2787z00_693); 
{ 
obj_t BgL_l2787z00_1331;
BgL_l2787z00_1331 = BgL_arg2845z00_697; 
BgL_l2787z00_693 = BgL_l2787z00_1331; 
goto BgL_forzd2each2788zd2_694;} } }  else 
{ /* ./Effect/walk.scm 37 */((bool_t)1); } } } 
{ /* ./Effect/walk.scm 42 */
obj_t BgL_arg2850z00_698;
BgL_arg2850z00_698 = 
BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00(); 
BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00(BgL_arg2850z00_698); } 
{ 
obj_t BgL_l2789z00_699;
{ /* ./Effect/walk.scm 48 */
obj_t BgL_arg2854z00_701;
BgL_arg2854z00_701 = 
BGl_getzd2varzf2allz20zzeffect_cgraphz00(); 
BgL_l2789z00_699 = BgL_arg2854z00_701; 
BgL_forzd2each2790zd2_700:
{ /* ./Effect/walk.scm 44 */
bool_t BgL_test2857z00_702;
BgL_test2857z00_702 = 
PAIRP(BgL_l2789z00_699); 
if(BgL_test2857z00_702)
{ /* ./Effect/walk.scm 44 */
{ /* ./Effect/walk.scm 45 */
obj_t BgL_varz00_703;
BgL_varz00_703 = 
CAR(BgL_l2789z00_699); 
{ /* ./Effect/walk.scm 45 */
BgL_valuez00_bglt BgL_funz00_704;
{ /* ./Effect/walk.scm 45 */
BgL_variablez00_bglt BgL_obj1100z00_1191;
BgL_obj1100z00_1191 = 
(BgL_variablez00_bglt)(BgL_varz00_703); 
BgL_funz00_704 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1191))->BgL_valuez00); } 
{ /* ./Effect/walk.scm 46 */
bool_t BgL_test2858z00_705;
{ /* ./Effect/walk.scm 46 */
obj_t BgL_auxz00_1340;
{ /* ./Effect/walk.scm 46 */
BgL_funz00_bglt BgL_obj1302z00_1192;
BgL_obj1302z00_1192 = 
(BgL_funz00_bglt)(BgL_funz00_704); 
BgL_auxz00_1340 = 
(((BgL_funz00_bglt)CREF(BgL_obj1302z00_1192))->BgL_sidezd2effectzf3z21); } 
BgL_test2858z00_705 = 
(BgL_auxz00_1340==BUNSPEC); } 
if(BgL_test2858z00_705)
{ /* ./Effect/walk.scm 47 */
BgL_funz00_bglt BgL_obj1304z00_1193;obj_t BgL_val1303z00_1194;
BgL_obj1304z00_1193 = 
(BgL_funz00_bglt)(BgL_funz00_704); 
BgL_val1303z00_1194 = BFALSE; 
((((BgL_funz00_bglt)CREF(BgL_obj1304z00_1193))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_val1303z00_1194), BUNSPEC); }  else 
{ /* ./Effect/walk.scm 46 */BFALSE; } } } } 
{ /* ./Effect/walk.scm 44 */
obj_t BgL_arg2868z00_707;
BgL_arg2868z00_707 = 
CDR(BgL_l2789z00_699); 
{ 
obj_t BgL_l2789z00_1348;
BgL_l2789z00_1348 = BgL_arg2868z00_707; 
BgL_l2789z00_699 = BgL_l2789z00_1348; 
goto BgL_forzd2each2790zd2_700;} } }  else 
{ /* ./Effect/walk.scm 44 */((bool_t)1); } } } } 
{ 
obj_t BgL_l2791z00_708;
BgL_l2791z00_708 = BgL_globalsz00_1; 
BgL_forzd2each2792zd2_709:
{ /* ./Effect/walk.scm 51 */
bool_t BgL_test2873z00_710;
BgL_test2873z00_710 = 
PAIRP(BgL_l2791z00_708); 
if(BgL_test2873z00_710)
{ /* ./Effect/walk.scm 51 */
{ /* ./Effect/walk.scm 52 */
obj_t BgL_globalz00_711;
BgL_globalz00_711 = 
CAR(BgL_l2791z00_708); 
{ /* ./Effect/walk.scm 52 */
obj_t BgL_arg2875z00_712;
{ /* ./Effect/walk.scm 52 */
BgL_sfunz00_bglt BgL_obj1370z00_1199;
{ /* ./Effect/walk.scm 52 */
BgL_valuez00_bglt BgL_auxz00_1352;
{ /* ./Effect/walk.scm 52 */
BgL_variablez00_bglt BgL_obj1100z00_1198;
BgL_obj1100z00_1198 = 
(BgL_variablez00_bglt)(BgL_globalz00_711); 
BgL_auxz00_1352 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1198))->BgL_valuez00); } 
BgL_obj1370z00_1199 = 
(BgL_sfunz00_bglt)(BgL_auxz00_1352); } 
BgL_arg2875z00_712 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1370z00_1199))->BgL_bodyz00); } 
BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
(BgL_nodez00_bglt)(BgL_arg2875z00_712)); } } 
{ /* ./Effect/walk.scm 51 */
obj_t BgL_arg2883z00_714;
BgL_arg2883z00_714 = 
CDR(BgL_l2791z00_708); 
{ 
obj_t BgL_l2791z00_1360;
BgL_l2791z00_1360 = BgL_arg2883z00_714; 
BgL_l2791z00_708 = BgL_l2791z00_1360; 
goto BgL_forzd2each2792zd2_709;} } }  else 
{ /* ./Effect/walk.scm 51 */((bool_t)1); } } } 
{ /* ./Effect/walk.scm 56 */
bool_t BgL_test2887z00_715;
if(BgL_feffectz00_2)
{ /* ./Effect/walk.scm 56 */
BgL_test2887z00_715 = 
CBOOL(BGl_za2sawza2z00zzengine_paramz00); }  else 
{ /* ./Effect/walk.scm 56 */
BgL_test2887z00_715 = ((bool_t)0); } 
if(BgL_test2887z00_715)
{ /* ./Effect/walk.scm 56 */
BGl_feffectz12z12zzeffect_feffectz00(BgL_globalsz00_1); }  else 
{ /* ./Effect/walk.scm 56 */BFALSE; } } 
{ /* ./Effect/walk.scm 59 */
bool_t BgL_test2889z00_717;
{ /* ./Effect/walk.scm 59 */
long BgL_n1z00_1201;
BgL_n1z00_1201 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_test2889z00_717 = 
(BgL_n1z00_1201>((long)0)); } 
if(BgL_test2889z00_717)
{ /* ./Effect/walk.scm 59 */
{ /* ./Effect/walk.scm 59 */
obj_t BgL_port2793z00_718;
BgL_port2793z00_718 = 
BGL_CURRENT_ERROR_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, BgL_port2793z00_718); 
display_string(BGl_string3522z00zzeffect_walkz00, BgL_port2793z00_718); 
{ /* ./Effect/walk.scm 59 */
char * BgL_arg2893z00_719;
{ /* ./Effect/walk.scm 59 */
bool_t BgL_test2895z00_720;
{ /* ./Effect/walk.scm 59 */
bool_t BgL_test2896z00_721;
{ /* ./Effect/walk.scm 59 */
bool_t BgL_res3444z00_1209;
{ /* ./Effect/walk.scm 59 */
obj_t BgL_objz00_1203;
BgL_objz00_1203 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
{ /* ./Effect/walk.scm 59 */
bool_t BgL_test1396z00_1204;
BgL_test1396z00_1204 = 
INTEGERP(BgL_objz00_1203); 
if(BgL_test1396z00_1204)
{ /* ./Effect/walk.scm 59 */
BgL_res3444z00_1209 = ((bool_t)1); }  else 
{ /* ./Effect/walk.scm 59 */
bool_t BgL_test1397z00_1205;
BgL_test1397z00_1205 = 
REALP(BgL_objz00_1203); 
if(BgL_test1397z00_1205)
{ /* ./Effect/walk.scm 59 */
double BgL_arg1399z00_1206;
BgL_arg1399z00_1206 = 
BGl_roundflz00zz__r4_numbers_6_5_flonumz00(
REAL_TO_DOUBLE(BgL_objz00_1203)); 
{ /* ./Effect/walk.scm 59 */
double BgL_auxz00_1377;
BgL_auxz00_1377 = 
REAL_TO_DOUBLE(BgL_objz00_1203); 
BgL_res3444z00_1209 = 
(BgL_auxz00_1377==BgL_arg1399z00_1206); } }  else 
{ /* ./Effect/walk.scm 59 */
BgL_res3444z00_1209 = ((bool_t)0); } } } } 
BgL_test2896z00_721 = BgL_res3444z00_1209; } 
if(BgL_test2896z00_721)
{ /* ./Effect/walk.scm 59 */
BgL_test2895z00_720 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, 
BINT(((long)1))); }  else 
{ /* ./Effect/walk.scm 59 */
BgL_test2895z00_720 = ((bool_t)0); } } 
if(BgL_test2895z00_720)
{ /* ./Effect/walk.scm 59 */
BgL_arg2893z00_719 = "s"; }  else 
{ /* ./Effect/walk.scm 59 */
BgL_arg2893z00_719 = ""; } } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg2893z00_719), BgL_port2793z00_718); } 
display_string(BGl_string3523z00zzeffect_walkz00, BgL_port2793z00_718); 
WRITE_CHAR(((unsigned char)'\n'), BgL_port2793z00_718); } 
{ /* ./Effect/walk.scm 59 */
obj_t BgL_list2903z00_722;
{ /* ./Effect/walk.scm 59 */
obj_t BgL_auxz00_1388;
BgL_auxz00_1388 = 
BINT(((long)-1)); 
BgL_list2903z00_722 = 
MAKE_PAIR(BgL_auxz00_1388, BNIL); } 
return 
BGl_exitz00zz__errorz00(BgL_list2903z00_722);} }  else 
{ 
obj_t BgL_hooksz00_723;obj_t BgL_hnamesz00_724;
{ /* ./Effect/walk.scm 59 */
obj_t BgL_arg2906z00_726;obj_t BgL_arg2907z00_727;
{ /* ./Effect/walk.scm 59 */
obj_t BgL_list2910z00_728;
BgL_list2910z00_728 = 
MAKE_PAIR(BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00, BNIL); 
BgL_arg2906z00_726 = BgL_list2910z00_728; } 
BgL_arg2907z00_727 = 
CNST_TABLE_REF(((long)1)); 
BgL_hooksz00_723 = BgL_arg2906z00_726; 
BgL_hnamesz00_724 = BgL_arg2907z00_727; 
BgL_loopz00_725:
{ /* ./Effect/walk.scm 59 */
bool_t BgL_test2912z00_729;
BgL_test2912z00_729 = 
NULLP(BgL_hooksz00_723); 
if(BgL_test2912z00_729)
{ /* ./Effect/walk.scm 59 */
return BgL_globalsz00_1;}  else 
{ /* ./Effect/walk.scm 59 */
bool_t BgL_test2913z00_730;
{ /* ./Effect/walk.scm 59 */
obj_t BgL_fun2927z00_735;
BgL_fun2927z00_735 = 
CAR(BgL_hooksz00_723); 
{ /* ./Effect/walk.scm 59 */
obj_t BgL_auxz00_1397;
BgL_auxz00_1397 = 
PROCEDURE_ENTRY(BgL_fun2927z00_735)(BgL_fun2927z00_735, BEOA); 
BgL_test2913z00_730 = 
CBOOL(BgL_auxz00_1397); } } 
if(BgL_test2913z00_730)
{ /* ./Effect/walk.scm 59 */
{ /* ./Effect/walk.scm 59 */
obj_t BgL_arg2915z00_731;obj_t BgL_arg2916z00_732;
BgL_arg2915z00_731 = 
CDR(BgL_hooksz00_723); 
BgL_arg2916z00_732 = 
CDR(BgL_hnamesz00_724); 
{ 
obj_t BgL_hnamesz00_1405;obj_t BgL_hooksz00_1404;
BgL_hooksz00_1404 = BgL_arg2915z00_731; 
BgL_hnamesz00_1405 = BgL_arg2916z00_732; 
BgL_hnamesz00_724 = BgL_hnamesz00_1405; 
BgL_hooksz00_723 = BgL_hooksz00_1404; 
goto BgL_loopz00_725;} } }  else 
{ /* ./Effect/walk.scm 59 */
{ /* ./Effect/walk.scm 59 */
obj_t BgL_arg2922z00_734;
BgL_arg2922z00_734 = 
CAR(BgL_hnamesz00_724); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_za2currentzd2passza2zd2zzengine_passz00, BGl_string3524z00zzeffect_walkz00, BgL_arg2922z00_734);} } } } } } } } 
}



/* _effect-walk! */
obj_t BGl__effectzd2walkz12zc0zzeffect_walkz00(obj_t BgL_envz00_1259, obj_t BgL_globalsz00_1260, obj_t BgL_feffectz00_1261)
{ AN_OBJECT;
{ /* ./Effect/walk.scm 33 */
return 
BGl_effectzd2walkz12zc0zzeffect_walkz00(BgL_globalsz00_1260, 
CBOOL(BgL_feffectz00_1261));} 
}



/* iterate-to-fix-point! */
obj_t BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00(obj_t BgL_wz00_3)
{ AN_OBJECT;
{ /* ./Effect/walk.scm 64 */
{ /* ./Effect/walk.scm 65 */
bool_t BgL_test2931z00_736;
BgL_test2931z00_736 = 
NULLP(BgL_wz00_3); 
if(BgL_test2931z00_736)
{ /* ./Effect/walk.scm 65 */
return 
CNST_TABLE_REF(((long)2));}  else 
{ 
obj_t BgL_l2794z00_737;
{ /* ./Effect/walk.scm 67 */
bool_t BgL_auxz00_1413;
BgL_l2794z00_737 = BgL_wz00_3; 
BgL_forzd2each2795zd2_738:
{ /* ./Effect/walk.scm 67 */
bool_t BgL_test2933z00_739;
BgL_test2933z00_739 = 
PAIRP(BgL_l2794z00_737); 
if(BgL_test2933z00_739)
{ /* ./Effect/walk.scm 67 */
{ /* ./Effect/walk.scm 69 */
obj_t BgL_varz00_740;
BgL_varz00_740 = 
CAR(BgL_l2794z00_737); 
{ /* ./Effect/walk.scm 69 */
BgL_valuez00_bglt BgL_funz00_741;
{ /* ./Effect/walk.scm 69 */
BgL_variablez00_bglt BgL_obj1100z00_1221;
BgL_obj1100z00_1221 = 
(BgL_variablez00_bglt)(BgL_varz00_740); 
BgL_funz00_741 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1221))->BgL_valuez00); } 
{ /* ./Effect/walk.scm 70 */
bool_t BgL_test2934z00_742;
{ /* ./Effect/walk.scm 70 */
obj_t BgL_auxz00_1419;
{ /* ./Effect/walk.scm 70 */
BgL_funz00_bglt BgL_obj1302z00_1222;
BgL_obj1302z00_1222 = 
(BgL_funz00_bglt)(BgL_funz00_741); 
BgL_auxz00_1419 = 
(((BgL_funz00_bglt)CREF(BgL_obj1302z00_1222))->BgL_sidezd2effectzf3z21); } 
BgL_test2934z00_742 = 
(BgL_auxz00_1419==BTRUE); } 
if(BgL_test2934z00_742)
{ /* ./Effect/walk.scm 70 */BFALSE; }  else 
{ /* ./Effect/walk.scm 70 */
{ /* ./Effect/walk.scm 72 */
BgL_funz00_bglt BgL_obj1304z00_1223;obj_t BgL_val1303z00_1224;
BgL_obj1304z00_1223 = 
(BgL_funz00_bglt)(BgL_funz00_741); 
BgL_val1303z00_1224 = BTRUE; 
((((BgL_funz00_bglt)CREF(BgL_obj1304z00_1223))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_val1303z00_1224), BUNSPEC); } 
{ /* ./Effect/walk.scm 73 */
bool_t BgL_test2936z00_743;
BgL_test2936z00_743 = 
BGl_iszd2azf3z21zz__objectz00(BgL_varz00_740, BGl_localzf2fromzf2zzeffect_cgraphz00); 
if(BgL_test2936z00_743)
{ /* ./Effect/walk.scm 73 */
{ /* ./Effect/walk.scm 77 */
obj_t BgL_arg2938z00_744;
{ /* ./Effect/walk.scm 77 */
BgL_localzf2fromzf2_bglt BgL_obj2680z00_1226;
BgL_obj2680z00_1226 = 
(BgL_localzf2fromzf2_bglt)(BgL_varz00_740); 
{ 
obj_t BgL_auxz00_1429;
{ /* ./Effect/walk.scm 77 */
BgL_objectz00_bglt BgL_auxz00_1430;
BgL_auxz00_1430 = 
(BgL_objectz00_bglt)(BgL_obj2680z00_1226); 
BgL_auxz00_1429 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1430); } 
BgL_arg2938z00_744 = 
(((BgL_localzf2fromzf2_bglt)CREF(BgL_auxz00_1429))->BgL_fromz00); } } 
BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00(BgL_arg2938z00_744); } }  else 
{ /* ./Effect/walk.scm 76 */
bool_t BgL_test2941z00_745;
BgL_test2941z00_745 = 
BGl_iszd2azf3z21zz__objectz00(BgL_varz00_740, BGl_globalzf2fromzf2zzeffect_cgraphz00); 
if(BgL_test2941z00_745)
{ /* ./Effect/walk.scm 76 */
{ /* ./Effect/walk.scm 77 */
obj_t BgL_arg2943z00_746;
{ /* ./Effect/walk.scm 77 */
BgL_globalzf2fromzf2_bglt BgL_obj2735z00_1228;
BgL_obj2735z00_1228 = 
(BgL_globalzf2fromzf2_bglt)(BgL_varz00_740); 
{ 
obj_t BgL_auxz00_1438;
{ /* ./Effect/walk.scm 77 */
BgL_objectz00_bglt BgL_auxz00_1439;
BgL_auxz00_1439 = 
(BgL_objectz00_bglt)(BgL_obj2735z00_1228); 
BgL_auxz00_1438 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1439); } 
BgL_arg2943z00_746 = 
(((BgL_globalzf2fromzf2_bglt)CREF(BgL_auxz00_1438))->BgL_fromz00); } } 
BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00(BgL_arg2943z00_746); } }  else 
{ /* ./Effect/walk.scm 76 */BFALSE; } } } } } } } 
{ /* ./Effect/walk.scm 67 */
obj_t BgL_arg2955z00_748;
BgL_arg2955z00_748 = 
CDR(BgL_l2794z00_737); 
{ 
obj_t BgL_l2794z00_1445;
BgL_l2794z00_1445 = BgL_arg2955z00_748; 
BgL_l2794z00_737 = BgL_l2794z00_1445; 
goto BgL_forzd2each2795zd2_738;} } }  else 
{ /* ./Effect/walk.scm 67 */
BgL_auxz00_1413 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_1413);} } } } 
}



/* write-effect */
BGL_EXPORTED_DEF obj_t BGl_writezd2effectzd2zzeffect_walkz00(obj_t BgL_globalsz00_4)
{ AN_OBJECT;
{ /* ./Effect/walk.scm 83 */
{ /* ./Effect/walk.scm 94 */
obj_t BgL_onamez00_750;
{ /* ./Effect/walk.scm 94 */
bool_t BgL_test3006z00_772;
{ /* ./Effect/walk.scm 94 */
obj_t BgL_objz00_1230;
BgL_objz00_1230 = BGl_za2destza2z00zzengine_paramz00; 
BgL_test3006z00_772 = 
STRINGP(BgL_objz00_1230); } 
if(BgL_test3006z00_772)
{ /* ./Effect/walk.scm 94 */
BgL_onamez00_750 = BGl_za2destza2z00zzengine_paramz00; }  else 
{ /* ./Effect/walk.scm 96 */
bool_t BgL_test3007z00_773;
{ /* ./Effect/walk.scm 96 */
bool_t BgL_test3016z00_777;
{ /* ./Effect/walk.scm 96 */
obj_t BgL_objz00_1231;
BgL_objz00_1231 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_test3016z00_777 = 
PAIRP(BgL_objz00_1231); } 
if(BgL_test3016z00_777)
{ /* ./Effect/walk.scm 96 */
obj_t BgL_arg3018z00_778;
{ /* ./Effect/walk.scm 96 */
obj_t BgL_pairz00_1232;
BgL_pairz00_1232 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_arg3018z00_778 = 
CAR(BgL_pairz00_1232); } 
BgL_test3007z00_773 = 
STRINGP(BgL_arg3018z00_778); }  else 
{ /* ./Effect/walk.scm 96 */
BgL_test3007z00_773 = ((bool_t)0); } } 
if(BgL_test3007z00_773)
{ /* ./Effect/walk.scm 97 */
obj_t BgL_arg3009z00_774;
{ /* ./Effect/walk.scm 97 */
obj_t BgL_arg3013z00_776;
{ /* ./Effect/walk.scm 97 */
obj_t BgL_pairz00_1234;
BgL_pairz00_1234 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_arg3013z00_776 = 
CAR(BgL_pairz00_1234); } 
BgL_arg3009z00_774 = 
BGl_prefixz00zz__osz00(BgL_arg3013z00_776); } 
BgL_onamez00_750 = 
string_append(BgL_arg3009z00_774, BGl_string3525z00zzeffect_walkz00); }  else 
{ /* ./Effect/walk.scm 96 */
BgL_onamez00_750 = BFALSE; } } } 
{ /* ./Effect/walk.scm 94 */
obj_t BgL_portz00_751;
{ /* ./Effect/walk.scm 99 */
bool_t BgL_test3002z00_771;
BgL_test3002z00_771 = 
STRINGP(BgL_onamez00_750); 
if(BgL_test3002z00_771)
{ /* ./Effect/walk.scm 99 */
BgL_portz00_751 = 
open_output_file(BgL_onamez00_750); }  else 
{ /* ./Effect/walk.scm 99 */
BgL_portz00_751 = 
BGL_CURRENT_OUTPUT_PORT(); } } 
{ /* ./Effect/walk.scm 99 */

{ /* ./Effect/walk.scm 102 */
bool_t BgL_test2960z00_752;
BgL_test2960z00_752 = 
OUTPUT_PORTP(BgL_portz00_751); 
if(BgL_test2960z00_752)
{ /* ./Effect/walk.scm 104 */
obj_t BgL_val2799z00_753;
BgL_val2799z00_753 = 
BGl_zc3exitza32975ze3z83zzeffect_walkz00(BgL_globalsz00_4); 
{ /* ./Effect/walk.scm 109 */
bool_t BgL_test2961z00_754;
{ /* ./Effect/walk.scm 109 */
obj_t BgL_arg2964z00_755;
BgL_arg2964z00_755 = 
BGL_CURRENT_OUTPUT_PORT(); 
BgL_test2961z00_754 = 
(BgL_portz00_751==BgL_arg2964z00_755); } 
if(BgL_test2961z00_754)
{ /* ./Effect/walk.scm 109 */BFALSE; }  else 
{ /* ./Effect/walk.scm 109 */
close_output_port(BgL_portz00_751); } } 
{ /* ./Effect/walk.scm 109 */
bool_t BgL_test2967z00_756;
{ /* ./Effect/walk.scm 109 */
obj_t BgL_auxz00_1468;
BgL_auxz00_1468 = 
BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(BgL_val2799z00_753); 
BgL_test2967z00_756 = 
CBOOL(BgL_auxz00_1468); } 
if(BgL_test2967z00_756)
{ /* ./Effect/walk.scm 109 */
obj_t BgL_arg2969z00_757;obj_t BgL_arg2970z00_758;
BgL_arg2969z00_757 = 
CAR(BgL_val2799z00_753); 
BgL_arg2970z00_758 = 
CDR(BgL_val2799z00_753); 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_arg2969z00_757, BgL_arg2970z00_758);}  else 
{ /* ./Effect/walk.scm 109 */
return BgL_val2799z00_753;} } }  else 
{ /* ./Effect/walk.scm 102 */
FAILURE(BGl_string3526z00zzeffect_walkz00,BGl_string3527z00zzeffect_walkz00,BgL_onamez00_750);} } } } } } 
}



/* <exit:2975> */
obj_t BGl_zc3exitza32975ze3z83zzeffect_walkz00(obj_t BgL_globalsz00_1265)
{ AN_OBJECT;
{ /* ./Effect/walk.scm 109 */
{ 
obj_t BgL_gz00_779;
jmp_buf jmpbuf; 
obj_t BgL_an_exit2800z00_760;
if( SET_EXIT(BgL_an_exit2800z00_760) ) { 
return 
_exit_value_;
} else {
BgL_an_exit2800z00_760 = 
(obj_t)jmpbuf; 
{ /* ./Effect/walk.scm 109 */

PUSH_EXIT(BgL_an_exit2800z00_760, ((bool_t)0)); 
{ /* ./Effect/walk.scm 106 */
obj_t BgL_val2801z00_761;
{ /* ./Effect/walk.scm 106 */
obj_t BgL_arg2981z00_763;
BgL_arg2981z00_763 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string3534z00zzeffect_walkz00, BgL_arg2981z00_763); } 
{ 
obj_t BgL_l2802z00_764;
BgL_l2802z00_764 = BgL_globalsz00_1265; 
BgL_forzd2each2803zd2_765:
{ /* ./Effect/walk.scm 107 */
bool_t BgL_test2985z00_766;
BgL_test2985z00_766 = 
PAIRP(BgL_l2802z00_764); 
if(BgL_test2985z00_766)
{ /* ./Effect/walk.scm 107 */
{ /* ./Effect/walk.scm 107 */
obj_t BgL_arg2987z00_767;
BgL_arg2987z00_767 = 
CAR(BgL_l2802z00_764); 
BgL_gz00_779 = BgL_arg2987z00_767; 
{ /* ./Effect/walk.scm 85 */
obj_t BgL_fez00_781;
{ /* ./Effect/walk.scm 85 */
BgL_funz00_bglt BgL_obj1317z00_1248;
{ /* ./Effect/walk.scm 85 */
BgL_valuez00_bglt BgL_auxz00_1484;
{ /* ./Effect/walk.scm 85 */
BgL_variablez00_bglt BgL_obj1100z00_1247;
BgL_obj1100z00_1247 = 
(BgL_variablez00_bglt)(BgL_gz00_779); 
BgL_auxz00_1484 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1247))->BgL_valuez00); } 
BgL_obj1317z00_1248 = 
(BgL_funz00_bglt)(BgL_auxz00_1484); } 
BgL_fez00_781 = 
(((BgL_funz00_bglt)CREF(BgL_obj1317z00_1248))->BgL_effectz00); } 
{ /* ./Effect/walk.scm 86 */
bool_t BgL_test3024z00_782;
BgL_test3024z00_782 = 
BGl_iszd2azf3z21zz__objectz00(BgL_fez00_781, BGl_feffectz00zzast_varz00); 
if(BgL_test3024z00_782)
{ /* ./Effect/walk.scm 88 */
bool_t BgL_test3025z00_784;
{ /* ./Effect/walk.scm 88 */
bool_t BgL_testz00_1491;
{ /* ./Effect/walk.scm 88 */
obj_t BgL_auxz00_1495;obj_t BgL_auxz00_1492;
BgL_auxz00_1495 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./Effect/walk.scm 88 */
BgL_feffectz00_bglt BgL_obj1544z00_1250;
BgL_obj1544z00_1250 = 
(BgL_feffectz00_bglt)(BgL_fez00_781); 
BgL_auxz00_1492 = 
(((BgL_feffectz00_bglt)CREF(BgL_obj1544z00_1250))->BgL_readz00); } 
BgL_testz00_1491 = 
(BgL_auxz00_1492==BgL_auxz00_1495); } 
if(BgL_testz00_1491)
{ /* ./Effect/walk.scm 88 */
obj_t BgL_auxz00_1501;obj_t BgL_auxz00_1498;
BgL_auxz00_1501 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./Effect/walk.scm 88 */
BgL_feffectz00_bglt BgL_obj1547z00_1251;
BgL_obj1547z00_1251 = 
(BgL_feffectz00_bglt)(BgL_fez00_781); 
BgL_auxz00_1498 = 
(((BgL_feffectz00_bglt)CREF(BgL_obj1547z00_1251))->BgL_writez00); } 
BgL_test3025z00_784 = 
(BgL_auxz00_1498==BgL_auxz00_1501); }  else 
{ /* ./Effect/walk.scm 88 */
BgL_test3025z00_784 = ((bool_t)0); } } 
if(BgL_test3025z00_784)
{ /* ./Effect/walk.scm 88 */BFALSE; }  else 
{ /* ./Effect/walk.scm 88 */
{ /* ./Effect/walk.scm 90 */
obj_t BgL_arg3028z00_786;
BgL_arg3028z00_786 = 
BGl_shapez00zztools_shapez00(BgL_gz00_779); 
{ /* ./Effect/walk.scm 90 */
obj_t BgL_list3031z00_788;
{ /* ./Effect/walk.scm 90 */
obj_t BgL_arg3033z00_789;
{ /* ./Effect/walk.scm 90 */
obj_t BgL_arg3036z00_790;
BgL_arg3036z00_790 = 
MAKE_PAIR(BGl_string3528z00zzeffect_walkz00, BNIL); 
BgL_arg3033z00_789 = 
MAKE_PAIR(BgL_arg3028z00_786, BgL_arg3036z00_790); } 
BgL_list3031z00_788 = 
MAKE_PAIR(BGl_string3529z00zzeffect_walkz00, BgL_arg3033z00_789); } 
BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list3031z00_788); } } 
{ /* ./Effect/walk.scm 91 */
bool_t BgL_test3040z00_791;
{ /* ./Effect/walk.scm 91 */
obj_t BgL_auxz00_1510;
{ /* ./Effect/walk.scm 91 */
BgL_feffectz00_bglt BgL_obj1544z00_1252;
BgL_obj1544z00_1252 = 
(BgL_feffectz00_bglt)(BgL_fez00_781); 
BgL_auxz00_1510 = 
(((BgL_feffectz00_bglt)CREF(BgL_obj1544z00_1252))->BgL_readz00); } 
BgL_test3040z00_791 = 
NULLP(BgL_auxz00_1510); } 
if(BgL_test3040z00_791)
{ /* ./Effect/walk.scm 91 */BFALSE; }  else 
{ /* ./Effect/walk.scm 91 */
obj_t BgL_arg3043z00_793;
{ /* ./Effect/walk.scm 91 */
BgL_feffectz00_bglt BgL_obj1544z00_1254;
BgL_obj1544z00_1254 = 
(BgL_feffectz00_bglt)(BgL_fez00_781); 
BgL_arg3043z00_793 = 
(((BgL_feffectz00_bglt)CREF(BgL_obj1544z00_1254))->BgL_readz00); } 
{ /* ./Effect/walk.scm 91 */
obj_t BgL_list3046z00_795;
{ /* ./Effect/walk.scm 91 */
obj_t BgL_arg3048z00_796;
{ /* ./Effect/walk.scm 91 */
obj_t BgL_arg3051z00_797;
BgL_arg3051z00_797 = 
MAKE_PAIR(BGl_string3530z00zzeffect_walkz00, BNIL); 
BgL_arg3048z00_796 = 
MAKE_PAIR(BgL_arg3043z00_793, BgL_arg3051z00_797); } 
BgL_list3046z00_795 = 
MAKE_PAIR(BGl_string3531z00zzeffect_walkz00, BgL_arg3048z00_796); } 
BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list3046z00_795); } } } 
{ /* ./Effect/walk.scm 92 */
bool_t BgL_test3059z00_799;
{ /* ./Effect/walk.scm 92 */
obj_t BgL_auxz00_1521;
{ /* ./Effect/walk.scm 92 */
BgL_feffectz00_bglt BgL_obj1547z00_1255;
BgL_obj1547z00_1255 = 
(BgL_feffectz00_bglt)(BgL_fez00_781); 
BgL_auxz00_1521 = 
(((BgL_feffectz00_bglt)CREF(BgL_obj1547z00_1255))->BgL_writez00); } 
BgL_test3059z00_799 = 
NULLP(BgL_auxz00_1521); } 
if(BgL_test3059z00_799)
{ /* ./Effect/walk.scm 92 */BFALSE; }  else 
{ /* ./Effect/walk.scm 92 */
obj_t BgL_arg3062z00_801;
{ /* ./Effect/walk.scm 92 */
BgL_feffectz00_bglt BgL_obj1547z00_1257;
BgL_obj1547z00_1257 = 
(BgL_feffectz00_bglt)(BgL_fez00_781); 
BgL_arg3062z00_801 = 
(((BgL_feffectz00_bglt)CREF(BgL_obj1547z00_1257))->BgL_writez00); } 
{ /* ./Effect/walk.scm 92 */
obj_t BgL_list3065z00_803;
{ /* ./Effect/walk.scm 92 */
obj_t BgL_arg3067z00_804;
{ /* ./Effect/walk.scm 92 */
obj_t BgL_arg3070z00_805;
BgL_arg3070z00_805 = 
MAKE_PAIR(BGl_string3530z00zzeffect_walkz00, BNIL); 
BgL_arg3067z00_804 = 
MAKE_PAIR(BgL_arg3062z00_801, BgL_arg3070z00_805); } 
BgL_list3065z00_803 = 
MAKE_PAIR(BGl_string3532z00zzeffect_walkz00, BgL_arg3067z00_804); } 
BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list3065z00_803); } } } 
{ /* ./Effect/walk.scm 93 */
obj_t BgL_port2798z00_807;
BgL_port2798z00_807 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string3533z00zzeffect_walkz00, BgL_port2798z00_807); 
WRITE_CHAR(((unsigned char)'\n'), BgL_port2798z00_807); } } }  else 
{ /* ./Effect/walk.scm 86 */BFALSE; } } } } 
{ /* ./Effect/walk.scm 107 */
obj_t BgL_arg2991z00_768;
BgL_arg2991z00_768 = 
CDR(BgL_l2802z00_764); 
{ 
obj_t BgL_l2802z00_1536;
BgL_l2802z00_1536 = BgL_arg2991z00_768; 
BgL_l2802z00_764 = BgL_l2802z00_1536; 
goto BgL_forzd2each2803zd2_765;} } }  else 
{ /* ./Effect/walk.scm 107 */((bool_t)1); } } } 
{ /* ./Effect/walk.scm 108 */
obj_t BgL_arg2997z00_770;
BgL_arg2997z00_770 = 
BGL_CURRENT_OUTPUT_PORT(); 
BgL_val2801z00_761 = 
display_string(BGl_string3535z00zzeffect_walkz00, BgL_arg2997z00_770); } 
POP_EXIT(); 
return BgL_val2801z00_761;} } 
} } } 
}



/* _write-effect */
obj_t BGl__writezd2effectzd2zzeffect_walkz00(obj_t BgL_envz00_1263, obj_t BgL_globalsz00_1264)
{ AN_OBJECT;
{ /* ./Effect/walk.scm 83 */
return 
BGl_writezd2effectzd2zzeffect_walkz00(BgL_globalsz00_1264);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzeffect_walkz00()
{ AN_OBJECT;
{ /* ./Effect/walk.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzeffect_walkz00()
{ AN_OBJECT;
{ /* ./Effect/walk.scm 15 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23537), "effect_walk"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "effect_walk"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)10268), "effect_walk"); 
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "effect_walk"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "effect_walk"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "effect_walk"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "effect_walk"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "effect_walk"); 
BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(((long)17595), "effect_walk"); 
BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long)63059), "effect_walk"); 
BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long)51512), "effect_walk"); 
return 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "effect_walk");} 
}

